CacheServerConfig (Apache Geode 1.15.4)

org.apache.geode.admin

## Interface CacheServerConfig

- All Superinterfaces:
    CacheVmConfig, Cloneable, ManagedEntityConfig

  Deprecated.
  as of 5.7 use `CacheVmConfig` instead.

      @Deprecated
      public interface CacheServerConfig
      extends CacheVmConfig

  Configuration for a GemFire cache server that is managed by the administration API. The cache server may or may not be running.
  Since:
    GemFire 4.0
  See Also:
    `AdminDistributedSystem.addCacheServer()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCacheXMLFile()` Deprecated. Returns the `cache.xml` declarative caching initialization file used to configure this cache server VM.
    `String` | `getClassPath()` Deprecated. Returns the location(s) of user classes (such as cache loaders) required by the cache server VM.
    `void` | `setCacheXMLFile(String cacheXml)` Deprecated. Sets the `cache.xml` declarative caching initialization file used to configure this cache server VM.
    `void` | `setClassPath(String classpath)` Deprecated. Sets the location(s) of user classes (such as cache loaders) required by the cache server VM.

    - ### Methods inherited from interface org.apache.geode.admin.ManagedEntityConfig

      `clone, getHost, getProductDirectory, getRemoteCommand, getWorkingDirectory, setHost, setProductDirectory, setRemoteCommand, setWorkingDirectory, validate`

- - ### Method Detail

    - #### getCacheXMLFile

          String getCacheXMLFile()

      Deprecated.
      Returns the `cache.xml` declarative caching initialization file used to configure this cache server VM. By default, a cache server VM is started without an XML file.
      Specified by:
        `getCacheXMLFile` in interface `CacheVmConfig`
      Returns:
        the `cache.xml` declarative caching initialization file used to configure this cache server VM

    - #### setCacheXMLFile

          void setCacheXMLFile(String cacheXml)

      Deprecated.
      Sets the `cache.xml` declarative caching initialization file used to configure this cache server VM.
      Specified by:
        `setCacheXMLFile` in interface `CacheVmConfig`
      Parameters:
        `cacheXml` - the `cache.xml` declarative caching initialization file used to configure this cache server VM

    - #### getClassPath

          String getClassPath()

      Deprecated.
      Returns the location(s) of user classes (such as cache loaders) required by the cache server VM.
      Specified by:
        `getClassPath` in interface `CacheVmConfig`
      Returns:
        the location(s) of user classes (such as cache loaders) required by the cache server VM

    - #### setClassPath

          void setClassPath(String classpath)

      Deprecated.
      Sets the location(s) of user classes (such as cache loaders) required by the cache server VM.
      Specified by:
        `setClassPath` in interface `CacheVmConfig`
      Parameters:
        `classpath` - the location(s) of user classes (such as cache loaders) required by the cache server VM